CombatCaddy.DEFAULT_OPTIONS = {
	["CheckMinimapButton"] = {
		["text"] = "Show the CombatCaddy minimap button.";
		["enabled"] = false;
		["angle"] = 256;
		["radius"] = 80;
	},
    ["CheckCloseAll"] = {
        ["text"] = "Close all normal WoW UI frames when entering combat.";
        ["enabled"] = true;
        ["disables"] = {
            "CheckCloseWorldmap",
            "CheckCloseBags",
            "CheckCloseAchievements",
            "CheckCloseLFG",
            "CheckClosePVP",
            "CheckCloseChar",
            "CheckCloseQuestLog",
            "CheckCloseSocial",
            "CheckCloseSpellbook"
        };
    },
    ["CheckCloseAchievements"] = {
        ["text"] = "Close the achievements screen when entering combat.";
        ["enabled"] = true;
    },
    ["CheckCloseChar"] = {
        ["text"] = "Close the character screen when entering combat.";
        ["enabled"] = true;
    },
    ["CheckCloseBags"] = {
        ["text"] = "Close open bags when entering combat.";
        ["enabled"] = true;
    },
    ["CheckCloseLFG"] = {
        ["text"] = "Close the looking for group screen when entering combat.";
        ["enabled"] = true;
    },
    ["CheckClosePVP"] = {
        ["text"] = "Close the player versus player screen when entering combat.";
        ["enabled"] = true;
    },
    ["CheckCloseQuestLog"] = {
        ["text"] = "Close the quest log when entering combat.";
        ["enabled"] = true;
    },
    ["CheckCloseSocial"] = {
        ["text"] = "Close the social screen when entering combat.";
        ["enabled"] = true;
    },
    ["CheckCloseSpellbook"] = {
        ["text"] = "Close the spellbook when entering combat.";
        ["enabled"] = true;
    },
    ["CheckCloseWorldmap"] = {
        ["text"] = "Close the world map when entering combat.";
        ["enabled"] = true;
    },
    ["CheckHideBuffs"] = {
        ["text"] = "Hide buffs/debuffs when entering combat.";
        ["enabled"] = false;
    },
    ["CheckHideChat"] = {
        ["text"] = "Hide the chat frame when entering combat.";
        ["enabled"] = true;
    },
    ["CheckHideDurability"] = {
        ["text"] = "Hide armor durability when entering combat.";
        ["enabled"] = true;
    },
    ["CheckHideMinimap"] = {
        ["text"] = "Hide the minimap when entering combat.";
        ["enabled"] = true;
    },
    ["CheckHideQuestTracker"] = {
        ["text"] = "Hide the quest tracker when entering combat.";
        ["enabled"] = true;
    },
    ["CheckLowHealthMinimap"] = {
        ["text"] = "Display the minimap when player health is low.";
        ["enabled"] = true;
        ["thresh"] = "3000";
    },
    ["CheckSwitchToCombatLog"] = {
        ["text"] = "Switch to combat log when entering combat.";
        ["enabled"] = true;
        ["window"] = "Combat Log";
    },
    ["CheckBattlecry"] = {
        ["text"] = "Yell (say) a battlecry when entering combat.";
        ["enabled"] = false;
        ["phrases"] = { "Don't panic!" };
		["count"] = 1;
    },
    ["CheckFightMusic"] = {
        ["text"] = "Play mp3 when entering combat.";
        ["enabled"] = false;
        ["path"] = "Interface\\AddOns\\CombatCaddy\\Music\\";
        ["track"] = "Sample.mp3";
        ["enables"] = { "CheckRandomMusic", "CheckUseGameMusicVol" };
    },
    ["CheckRandomMusic"] = {
        ["text"] = "Play a random track.";
        ["enabled"] = false;
    },
    ["CheckUseGameMusicVol"] = {
        ["text"] = "Use game music volume.";
        ["enabled"] = true;
        ["volume"] = 1;
    },
    ["CheckPartyWatch"] = {
        ["text"] = "Listen for party member combat.";
        ["enabled"] = false;
        ["enables"] = {
            "CheckPartyWatchWarn",
            "CheckPartyWatchLocal",
            "CheckPartyWatchDoStuff",
        };
    },
    ["CheckPartyWatchWarn"] = {
        ["text"] = "Display a raid warning when party watch is triggered (must be party leader).";
        ["enabled"] = true;
    },
    ["CheckPartyWatchLocal"] = {
        ["text"] = "Restrict to local sub-zone.";
        ["enabled"] = true;
    },
    ["CheckPartyWatchDoStuff"] = {
        ["text"] = "Do combat activities when party watch is triggered.";
        ["enabled"] = false;
    },
    ["CheckRaidWatch"] = {
        ["text"] = "Listen for raid member combat.";
        ["enabled"] = false;
        ["enables"] = {
            "CheckRaidWatchWarn",
            "CheckRaidWatchLocal",
            "CheckRaidWatchDoStuff"
        };
    },
    ["CheckRaidWatchWarn"] = {
        ["text"] = "Display a raid warning when raid watch is triggered (must be raid leader).";
        ["enabled"] = true;
    },
    ["CheckRaidWatchLocal"] = {
        ["text"] = "Restrict to local sub-zone.";
        ["enabled"] = true;
    },
    ["CheckRaidWatchDoStuff"] = {
        ["text"] = "Do combat activities when raid watch is triggered.";
        ["enabled"] = false;
    },
	["CheckDisableInWorld"] = {
		["text"] = "Disable CombatCaddy when outside of instances.";
		["enabled"] = false;
	},
	["CheckDisableInArena"] = {
		["text"] = "Disable CombatCaddy when in an arena.";
		["enabled"] = true;
	},
	["CheckDisableInBG"] = {
		["text"] = "Disable CombatCaddy when in a battleground.";
		["enabled"] = true;
	},
	["CheckDisableInPartyInstance"] = {
		["text"] = "Disable CombatCaddy when in a party instance.";
		["enabled"] = true;
	},
	["CheckDisableInRaidInstance"] = {
		["text"] = "Disable CombatCaddy when in a raid instance.";
		["enabled"] = true;
	}
};

