-- Displays an input dialog for a CombatCaddy option field
CombatCaddy.SetOptionDialog = function(name, key, str, use_slider, multiline)
    local tmp;

    if (not name or not key or not str) then return; end
    if (not use_slider) then use_slider = false; end
    if (not multiline) then multiline = false; end

    CombatCaddy.curOptName = name;
    CombatCaddy.curOptKey = key;

    CombatCaddy_InputDialogText:Show();
    CombatCaddy_InputDialogText:SetText(str);

    if (not use_slider) then
        tmp = WORKING_OPTIONS[name][key];
        if (not tmp) then tmp = ""; end
			
        if (not multiline) then
            CombatCaddy_InputDialogEditBox:SetText(tmp);
			CombatCaddy_InputDialogEditBox:Show();
			CombatCaddy_InputDialogScroller:Hide();
        else
            CombatCaddy_InputDialog:SetHeight(CombatCaddy_InputDialog:GetHeight()+5*32);
			
			local i = 1;
			local txt = "";
			while (WORKING_OPTIONS[name][key][i]) do
				txt = txt .. WORKING_OPTIONS[name][key][i] .. "\n";
				i = i + 1;
			end
            CombatCaddy_InputDialogEditBox:Hide();
			CombatCaddy_InputDialogScrollerEditBox:SetText(txt);
			CombatCaddy_InputDialogScroller:Show();
			CombatCaddy_InputDialogScrollerEditBox:Show();
        end
        CombatCaddy_InputDialogSlider:Hide();
	else
		CombatCaddy_InputDialogSlider:SetMinMaxValues(0,1);
        CombatCaddy_InputDialogSlider:SetValueStep(0.01);

        tmp = WORKING_OPTIONS[name][key];
        if (not tmp) then tmp = 0; end
        CombatCaddy_InputDialogSlider:SetValue(tmp);

        CombatCaddy_InputDialogEditBox:Hide();
		CombatCaddy_InputDialogScoller:Hide();
        CombatCaddy_InputDialogSlider:Show();
	end

	CombatCaddy_InputDialog:Show();
end

-- OK button handler, save relevant values and hide frame
CombatCaddy.InputDialogOK = function()
    local value;

	if (getglobal(this:GetParent():GetName().."Scroller"):IsShown()) then -- scrolling edit box
		local idx;
		local i = 1;
		local token;
		local txt = getglobal(this:GetParent():GetName().."ScrollerEditBox"):GetText();

		-- Put each line into array
		value = {};
		while true do
			idx = strfind(txt, "\n"); -- tokenize by newline
			if (not idx) then
				if (strlen(txt) > 0) then -- save last token if necessary
					value[i] = txt; 
				end 
				break;
			end

			token = strsub(txt, 1, idx-1); -- get token
			string.gsub(token, "^%s*(.-)%s*$", "%1") -- strip token
			if (strlen(token) > 0) then
				value[i] = token; -- save token
				i = i + 1;
			end

			txt = strsub(txt, idx+1, strlen(txt)); -- remove token
		end
    elseif (getglobal(this:GetParent():GetName().."EditBox"):IsShown()) then -- simple edit box
        value = getglobal(this:GetParent():GetName().."EditBox"):GetText();
    else -- value slider
        value = getglobal(this:GetParent():GetName().."Slider"):GetValue();
    end

	CombatCaddy.SetOptKey(value);
    this:GetParent():Hide();
end

-- Cancel button handler, hide frame
CombatCaddy.InputDialogCancel = function()
    this:GetParent():Hide();
end

