CombatCaddy.Minimap = {};

CombatCaddy.Minimap.OnLoad = function()

end

CombatCaddy.Minimap.OnEvent = function(event)

end

CombatCaddy.Minimap.Button_OnLoad = function()
	this:SetFrameLevel(this:GetFrameLevel()+1);
	this:RegisterForDrag("LeftButton");
	this:RegisterForClicks("LeftButtonUp");
end

CombatCaddy.Minimap.Button_OnClick = function(button)
	if (button == "LeftButton") then
		if (CombatCaddy_Main:IsShown()) then
			CombatCaddy_Main:Hide();
		else
			CombatCaddy_Main:Show();
		end
	end
end

local function BeingDragged()
	-- Thanks to Gello for this code
	local xpos,ypos = GetCursorPosition();
    local xmin,ymin = Minimap:GetLeft(), Minimap:GetBottom();

	xpos = xmin-xpos/UIParent:GetScale()+80;
	ypos = ypos/UIParent:GetScale()-ymin-80;
	local ang = math.deg(math.atan2(ypos,xpos));
	if ( ang < 0 ) then
		ang = ang + 360;
	end
	CombatCaddyOptions["CheckMinimapButton"].angle = ang;
	CombatCaddy.Minimap.MoveButton();
end


CombatCaddy.Minimap.Button_OnDragStart = function()
	this:SetScript("OnUpdate", BeingDragged);
end

CombatCaddy.Minimap.Button_OnDragStop = function()
	this:SetScript("OnUpdate", nil);
end

CombatCaddy.Minimap.Button_OnEvent = function()

end

CombatCaddy.Minimap.Button_OnEnter = function()
   GameTooltip:SetOwner(CombatCaddyMinimapFrame, "ANCHOR_LEFT");
   GameTooltip:AddLine("CombatCaddy v. "..CombatCaddy.VERSION);
   GameTooltip:AddLine("Be prepared for combat!");
   GameTooltip:AddLine("|cff00ff00Left Click:|r Configure Options");
   GameTooltip:AddLine("|cffccccccLeft Click + Drag:|r Move Minimap Button");
   GameTooltip:Show();
end

CombatCaddy.Minimap.Button_OnLeave = function()
	GameTooltip:Hide();
end

CombatCaddy.Minimap.MoveButton = function()
	local angle = CombatCaddyOptions["CheckMinimapButton"].angle;
	local radius = CombatCaddyOptions["CheckMinimapButton"].radius;

	CombatCaddyMinimapFrame:ClearAllPoints();
	CombatCaddyMinimapFrame:SetPoint("TOPLEFT", "Minimap", "TOPLEFT", 52-(radius*cos(angle)),(radius*sin(angle))-52);
end

CombatCaddy.Minimap.Update = function()
	CombatCaddy.Minimap.MoveButton();

	if (CombatCaddyOptions["CheckMinimapButton"].enabled) then
		if (Minimap:IsVisible()) then
			CombatCaddyMinimapButton:EnableMouse(true);
			CombatCaddyMinimapButton:Show();
			CombatCaddyMinimapFrame:Show();
		else
			CombatCaddyMinimapButton:EnableMouse(false);
			CombatCaddyMinimapButton:Hide();
			CombatCaddyMinimapFrame:Hide();

		end
	end
end
